Get all departments for a company.
curl --request GET \
--url https://api.parallellabs.app/api/v0/departments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/departments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/departments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"color": "<string>",
"companyId": "<string>",
"created": 123,
"description": "<string>",
"id": "<string>",
"name": "<string>",
"updated": 123
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Departments
Get all departments for a company.
GET
/
api
/
v0
/
departments
Get all departments for a company.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Query Parameters
Company ID
Response
List of departments for the company
List of departments
List of departments
Show child attributes
Show child attributes
⌘I

